#ifndef _SHSDK_EXT_H
#define _SHSDK_EXT_H

#ifdef __cplusplus
extern "C" {
#endif

#ifdef _SP_SDK_
// use sp-console 
WIN32DLL void * sh_get_service_list(
	const char *userId,			// 사용자 ID
	const char *password,		// 사용자 비밀번호
	int * cnt
	);

WIN32DLL const char *sh_get_auth_sp_string(
	const char *userId,    // 사용자 ID
	const char *password  // 사용자 비밀번호
	);


WIN32DLL void sh_set_center_info(
	const char *host,	// host
	int			port	// port
	);

WIN32DLL void sh_set_sntp_info(
	const char *host,	  // host
	int			port // port
	);

WIN32DLL void* sh_get_anonyauth(
	const char *userId,    // 사용자 ID
	const char *password,  // 사용자 비밀번호
	const char *serviceId, // 서비스 ID
	int * cnt
	);

WIN32DLL int sh_set_anonyauth(
	const char *userId,    // 사용자 ID
	const char *password,  // 사용자 비밀번호
	const char *serviceId, // 서비스 ID
	int			set,       // 설정(1), 설정 해제 (0)
	int			sendlen,   // 전송할 데이터 크기 
	const void *sendmsg	   // 전성홀 데이터
	);
// use sp-console 
#endif // _SP_SDK_

#ifdef __cplusplus
}
#endif


#endif
